Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Interface Value2dDisplayC

All Known Implementing Classes:
  Value2dDisplayCImpl

public interface Value2dDisplayC
extends SwarmObjectC, SwarmObjectS

Value2dDisplay displays 2d arrays of values.. Value2dDisplay helps display 2d arrays of values. Value2dDisplay goes through a given Discrete2d array, turn states into colours, and draws them into a Raster widget.

Method Summary
`java.lang.Object` | `create$setDisplayWidget$colormap$setDiscrete2dToDisplay(Zone aZone, Raster r, Colormap c, GridData d)` Convenience constructor for Value2dDisplay
`java.lang.Object` | `setDiscrete2dToDisplay(GridData c)` Set which array to draw.
`java.lang.Object` | `setDisplayWidget$colormap(Raster r, Colormap c)` Set the display widget and the colourmap to use to draw the value array.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setDisplayWidget$colormap$setDiscrete2dToDisplay

    public java.lang.Object create$setDisplayWidget$colormap$setDiscrete2dToDisplay(Zone aZone,
                                                                                    Raster r,
                                                                                    Colormap c,
                                                                                    GridData d)

  Convenience constructor for Value2dDisplay

### setDisplayWidget$colormap

    public java.lang.Object setDisplayWidget$colormap(Raster r,
                                                      Colormap c)

  Set the display widget and the colourmap to use to draw the value array.

### setDiscrete2dToDisplay

    public java.lang.Object setDiscrete2dToDisplay(GridData c)

  Set which array to draw.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD